require 'optparse'

module HTH
  class SyncherOptionParser

    def self.parse!(args)
      options = {
        apply:      false,
        force_sync: false,
      }

      OptionParser.new do |opts|
        opts.on('-h', '--help', 'Display this screen.') do
          puts opts
          exit
        end

        opts.on('-c', '--config <path>', 'Path to the config file.') do |path|
          options[:config_file] = path
        end

        opts.on('-a', '--apply', 'Run the synchronization.') do
          options[:apply] = true
        end

        opts.on('-f', '--force-sync', 'Match all existing Helix TeamHub users and force them to be synced from this source.') do
          options[:force_sync] = true
        end

        opts.on('-g', '--group-sync', 'Enable group synchronization.') do
          options[:group_sync] = true
        end
      end.parse!

      options
    end

  end
end
